> For the complete documentation index, see [llms.txt](https://docs.strongdm.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.strongdm.com/references/scim/users/update.md).

# Generic SCIM Endpoint - Update User

The Update User endpoint updates the requested user in StrongDM.

Most attributes are patchable in this way. For example, a user may be suspended by providing the attribute `active: false`. The following attributes, however, are not patchable via this method: `groups` and `manager.displayName`.

If the user ID is not found, or if the user ID matches a non-user, a 404 is returned.

If the requested update does not cause the user's information to change, a 204 is returned.

### Request

#### Endpoint

`/provisioning/generic/v2/Users/<ID>`

#### HTTP method

`PATCH`

#### Path variables

| Variable | Description | Requirement | Notes                                                                 | Example              |
| -------- | ----------- | ----------- | --------------------------------------------------------------------- | -------------------- |
| `<ID>`   | User ID     | Required    | Returns a 404 if the user ID is not found or if it matches a non-user | `a-7be349506171902f` |

#### Request body attributes

| Attribute | Description                                                                                                                                                                     | Example           |
| --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------- |
| `active`  | User's status (Boolean); set `false` to suspend a user; this is the only field that can be updated for a user via this endpoint; requests should be formatted as in the example | `"active": false` |

#### Example request

`PATCH app.strongdm.com/provisioning/generic/v2/Users/a-7be349506171902f`

```json
{
        "schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"],
        "Operations": [{
                "op": "replace",
                "value": {
                        "active": true
                }
        }]
}
```

### Response

#### Example response

```http
(Status 200)
```

```json
{
  "active": true,
  "displayName": "Alice Glick",
  "emails": [{ "primary": true, "value": "alice.glick@strongdm.com" }],
  "groups": [],
  "id": "a-7be349506171902f",
  "meta": { "resourceType": "User", "location": "Users/a-7be349506171902f" },
  "name": {
    "familyName": "Glick",
    "formatted": "Alice Glick",
    "givenName": "Alice"
  },
  "schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
  "userName": "alice.glick@strongdm.com",
  "userType": "user"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.strongdm.com/references/scim/users/update.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
